apiVersion: v1
kind: Service
metadata:
  name: api-user
  namespace: kube-system
  labels:
    app: api-user
spec:
  ports:
  - name: http
    port: 80
    targetPort: 8080
  selector:
    app: api-user
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: api-user
  namespace: kube-system
  labels:
    app: api-user
spec:
  replicas: 2
  selector:
    matchLabels:
      app: api-user
  template:
    metadata:
      labels:
        app: api-user
    spec:
      containers:
      - name: api-user
        image: IMAGE
        env:
        - name: POSTGRESQL_HOST
          value: VALUE_POSTGRESQL_HOST
        - name: POSTGRESQL_USER
          value: VALUE_POSTGRESQL_USER
        - name: POSTGRESQL_PASSWORD
          value: VALUE_POSTGRESQL_PASSWORD
        - name: POSTGRESQL_DATABASE
          value: VALUE_POSTGRESQL_DATABASE
        - name: POSTGRESQL_PORT
          value: VALUE_POSTGRESQL_PORT
        - name: API_PHOTO_URL
          value: VALUE_API_PHOTO_URL
        ports:
        - name: http
          containerPort: 80
